<?PHP

require '../Core/start.php';
$title = 'Добавление сайта';
require '../Core/head.php';

# Если была нажата кнопка "Добавить"
if(isset($_POST['add_site']))
{
 # Фильтруем принятые данные
 $url = text($_POST['url']);
 $name = text($_POST['name']);
 $about = text($_POST['about']);
 $translitit = translitit($url);
 $description = text($_POST['description']);
 $keywords = text($_POST['keywords']);
 $category = num($_POST['category']);
 
 # Записываем принятые данные в сессию
 $_SESSION['url'] = $url;
 $_SESSION['name'] = $name;
 $_SESSION['about'] = $about;
 $_SESSION['description'] = $description;
 $_SESSION['keywords'] = $keywords;
 $_SESSION['id_category'] = $category;
 
  # Проверяем на ошибки
  if(empty($url)){echo error('Введите адрес сайта'); $error = TRUE; $error_url = TRUE;}
  if(empty($name)){echo error('Введите название сайта'); $error = TRUE; $error_name = TRUE;}
  if(empty($about)){echo error('Введите описание сайта'); $error = TRUE; $error_about = TRUE;}
  if(empty($category)){echo error('Выберите категорию'); $error = TRUE;}
  if(empty($_POST['capcha'])){error('Введите код с картинки'); $error_capcha_strlen = TRUE; $error = TRUE;}
  
  if(!isset($error_url) && strlen2($url) < 5){echo error('Адрес сайта должен быть не меньше 5 символов'); $error = TRUE; $error_url_2 = TRUE;}
  if(strlen2($url) > 50){echo error('Адрес сайта должен быть не больше 50 символов'); $error = TRUE;}
  
  if(!isset($error_name) && strlen2($name) < 15){error('Название сайта должно быть не меньше 15 символов'); $error = TRUE;}
  if(strlen2($name) > 30){echo error('Название сайта должно быть не больше 30 симолов'); $error = TRUE;}
  if(!isset($error_about) && strlen2($about) < 35){echo error('Описание сайта не может быть меньше 35 символов'); $error = TRUE;}
  if(strlen2($about) > 240){echo error('Описание сайта не может быть больше 240 символов'); $error = TRUE;}
  if(strlen2($description) > 180){echo 'Description - meta (Ключевые слова) - не может быть больше 180 символов'; $error = TRUE;}
  if(strlen2($keywords) > 180){echo error('Keywords - meta (Ключевые слова) - не может быть больше 180 символов'); $error = TRUE;}
  if (!preg_match('#^([a-z0-9]{1})((.[a-z0-9-])|([a-z0-9-]))*.([a-z]{2,4})(/?).*$#ui', $url)){error('Адрес сайта (URL) введен не корректно'); $error = TRUE;}
  if(!isset($error_capcha_strlen) && !isset($capcha) && $_POST['capcha'] !== $_SESSION['capcha']){error('Код с картинки введен не верно'); $error = TRUE;}
  
  # Проверяем, есть ли сайт с таким URL
    $count_site = mysql_result(mysql_query("SELECT COUNT(*) FROM `site` WHERE `url` = '$url'"),0);
  if($count_site){error('Сайт с таким URL уже есть'); $error = TRUE;}
  
  
  # Если ошибок не возникло, добавляем сайт в каталог
  if(!isset($error))
  {
    $time = time();
    $menu = TRUE;
    mysql_query("INSERT INTO `site` (`url`, `name`, `about`, `time`, `translitit`, `description`, `keywords`, `id_category`, `mod`) VALUES ('$url', '$name', '$about', '$time', '$translitit', '$description', '$keywords', '$category', '0')");
    ?>
	   <div class="good">
	     <b>Вы успешно добавили сайт в каталог!</b><br />
		 <i>Ваш сайт будет отображаться в каталоге после проверки его администратором каталога</i>
	   </div>
	<?
    UnSET($_SESSION['url']);
	UnSET($_SESSION['name']);
	UnSET($_SESSION['about']);
	UnSET($_SESSION['description']);
	UnSET($_SESSION['keywords']);
	UnSET($_SESSION['id_category']);
  }
}
if(!isset($menu))
{
?>
<div class="content">
<form action="" method="POST">
 Адрес сайта (без http://)[Мин.5, макс.50]<br />
 <input type="text" name="url" value=<?=on_text($_SESSION['url'])?>><br />
 
 Название:[Мин.15, макс.30]<br />
 <input type="text" name="name" value="<?=on_text($_SESSION['name'])?>"><br />
 
 Описание:[Мин.35, макс.240]<br />
 <textarea name="about"><?=on_text($_SESSION['about'])?></textarea><br />
 
 Description - meta (Описание)[Макс.180]:<br />
 <textarea name="description"><?=on_text($_SESSION['description'])?></textarea><br />
 
 Keywords - meta (Ключевые слова)[Макс.180]:<br />
 <textarea name="keywords"><?=on_text($_SESSION['keywords'])?></textarea><br />
 
 Категория:<br />
 <select name="category">
 <option disabled>Выберите категорию</option>
 <?
 $count_category = mysql_result(mysql_query("SELECT COUNT(*) FROM `category`"),0);
 $category_query = mysql_query("SELECT `id`,`name` FROM `category` ORDER BY `id`");
 
 if($count_category !== '0')
 {
   while($category = mysql_fetch_array($category_query))
     {
	  ?>
	  <option value="<?=$category['id']?>"<?=(empty($_SESSION['id_category']) || $_SESSION['id_category'] != $category['id'] ? '' : ' selected="selected"')?>><?=text($category['name'])?></option>
	  <?
	 }
 }
 ?>
 </select>
 <br />
 Введите код с картинки:<br />
 <img style="border: 1px solid gray; background: url('/captcha/bg_capcha.png');" src = "/captcha/captcha.php" width="90" height="25" /><br />
 <input type="text" name="capcha" /><br />
 <input type="submit" name="add_site" value="Добавить">
</form>
</div>
<?
}

require '../Core/foot.php';

?>